For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Go to app
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
    • Introduction
    • Users
    • Taskflow
    • AI Task Builder
    • Studies
    • Representative sample studies
    • study-collections
    • Filter Sets
    • Participant Groups
      • GETGet a list of all participant groups within a project or workspace
      • POSTCreate a new participant group within a workspace
      • GETGet a participant group
      • DELDelete a participant group
      • PATCHUpdate a participant group
      • GETGet a list of all participants within a participant group
      • POSTAdd participants to a participant group
      • DELRemove participants from a participant group
    • Custom Groups
    • Study Distribution
    • Submissions
    • Bonuses
    • Messages
    • Workspaces
    • Projects
    • Surveys
    • Webhooks
    • Invitations
    • Reward Recommendations
    • Testing
    • Well Known Endpoints
Go to app
LogoLogo
API ReferenceParticipant Groups

Update a participant group

|View as Markdown|Open in Claude|
PATCH
https://api.prolific.com/api/v1/participant-groups/:id/
PATCH
/api/v1/participant-groups/:id/
$curl -X PATCH https://api.prolific.com/api/v1/participant-groups/id/ \
> -H "Authorization: Token <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "Passed all attention checks"
>}'
1{
2 "description": "Participants who passed all attention checks",
3 "feeder_studies": [],
4 "id": "642ea7ff7639ab670b05a0b5",
5 "name": "Passed all attention checks",
6 "participant_count": 0,
7 "workspace_id": "5e9b9c9b0f9c9a0001b1ca2f",
8 "project_id": null
9}
Was this page helpful?
Previous

Delete a participant group

Next

Get a list of all participants within a participant group

Authentication

AuthorizationToken
The Prolific API uses API token to authenticate requests. You can create an API token directly from your settings. Your API token does not have an expiry date and carries full permission, so be sure to keep them secure. If your token is leaked, delete it and create a new one directly in the app. In your requests add `Authorization` header with the value `Token <your token>`.

Path parameters

idstringRequired
The id of the participant group

Request

This endpoint expects an object.
namestringOptional
The name of the participant group
participant_idslist of stringsOptional

The ids of participants to be included in the group.

Note, this overwrites any existing participants in the group; use the participant group membership endpoints to append or remove participants from the group.

Response

Request successful.
descriptionstring or null

The user-provided description of the participant group

feeder_studieslist of objectsRead-only
Details of all studies which are configured to modify the participants in this group through completion codes.
idstring
The id of the participant group
is_deletedbooleanRead-only
Whether the participant group has been deleted
namestring
The name of the participant group
organisation_idstring or null
The id of the organisation the participant group belongs to. A participant group can only belong to either a workspace or an organisation.
participant_countintegerRead-only
The number of participants in the participant group
workspace_idstring or null
The id of the workspace the participant group belongs to. A participant group can only belong to either a workspace or an organisation.
project_idstring or nullDeprecated
The id of the project the participant group belongs to

Errors

4XX
Client Request Error

The Prolific API uses API token to authenticate requests. You can create an API token directly from your settings.

Your API token does not have an expiry date and carries full permission, so be sure to keep them secure.

If your token is leaked, delete it and create a new one directly in the app.

In your requests add Authorization header with the value Token <your token>.